The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с устранением уязвимостей"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с устранением уязвимостей"  +/
Сообщение от opennews (??), 12-Апр-22, 22:23 
Сформированы корректирующие релизы языка программирования Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10, в которых устранены две уязвимости:...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=57012

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  –1 +/
Сообщение от Аноним (1), 12-Апр-22, 22:23 
Я тоже когда-то думал что это адекватный язык программирования.
Ответить | Правка | Наверх | Cообщить модератору

2. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  –2 +/
Сообщение от Аноним (2), 12-Апр-22, 22:48 
Но потом ты написал идеальный ЯП без уязвимостей "Глагол" и передумал?
Ответить | Правка | Наверх | Cообщить модератору

10. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +1 +/
Сообщение от Аноним (10), 13-Апр-22, 05:59 
> переполнение буфера в коде преобразования из строки в число

Это надо же так было умудриться. "из строки в число"...

Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

3. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  –1 +/
Сообщение от Анонн (?), 12-Апр-22, 23:06 
Смешно, если посмотреть диф https://github.com/ruby/ruby/compare/v3_1_1...v3_1_2 ,
то там фиксы в двух файлах:
missing/dtoa.c
regcomp.c

Вот так, даже такому высокоуровнему языку программирования, да еще и со сборщиком мусора, может нагадить сишечка))

Ответить | Правка | Наверх | Cообщить модератору

4. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +1 +/
Сообщение от Аноним (4), 13-Апр-22, 00:23 
или это вина криворукого кодера :)
Ответить | Правка | Наверх | Cообщить модератору

6. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Аноним (6), 13-Апр-22, 01:16 
А нахрена они переизобретали всякие dtoa?
Ответить | Правка | К родителю #3 | Наверх | Cообщить модератору

13. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Бывалый смузихлёб (?), 13-Апр-22, 10:02 
Чтобы, если нечего будет придумать для обновлений, можно было выпустить исправления велосипедов и костылей и изобразить активную работу
Ответить | Правка | Наверх | Cообщить модератору

5. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +6 +/
Сообщение от Смузихлёб (?), 13-Апр-22, 01:04 
Хороший язык программирования, но его время прошло. Сейчас это исключительно поддержка legacy проектов (как и java).
Ответить | Правка | Наверх | Cообщить модератору

7. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от А где же каменты (?), 13-Апр-22, 02:12 
А за каким языком будущее?
Ответить | Правка | Наверх | Cообщить модератору

8. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  –2 +/
Сообщение от васёк (?), 13-Апр-22, 02:32 
JavaScript
Ответить | Правка | Наверх | Cообщить модератору

15. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Некто с пивомemail (?), 13-Апр-22, 12:51 
После ruby java script выглядит архаикой. От чувства неполноценности появляются разные там кофейные скрипты ...
Ответить | Правка | Наверх | Cообщить модератору

21. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Mikeeeee (?), 13-Апр-22, 22:33 
И opal'ы (opalrb.com)
Ответить | Правка | Наверх | Cообщить модератору

9. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от YetAnotherOnanym (ok), 13-Апр-22, 03:08 
Он ещё не создан.
Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

12. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +2 +/
Сообщение от Аноним (12), 13-Апр-22, 09:05 
но его время уже прошло
Ответить | Правка | Наверх | Cообщить модератору

11. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +1 +/
Сообщение от Аноним (10), 13-Апр-22, 06:01 
> за каким языком будущее?

Как ни странно, за сисями.

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

16. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Смузихлёб (?), 13-Апр-22, 13:35 
> А за каким языком будущее?

JavaScript. Нравится это вам или нет, но сегодня всё завязано на JS: от конфигов в формате JSON, до пакетных менеджеров, вэба, мобильных и электрон-приложений. Кстати, как для вэба, то это самое лучшее решение из-за одного языка для бэка и фронта.

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

18. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Некто с чаемemail (?), 13-Апр-22, 14:32 
Никогда такого не было... и вот опять...
Специалист подобен флюсу: полнота его односторонняя
Ответить | Правка | Наверх | Cообщить модератору

14. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Аноним (14), 13-Апр-22, 11:22 
Вы так договоритесь до того, что время питона прошло.
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

17. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от Смузихлёб (?), 13-Апр-22, 13:40 
> время питона прошло

Глобально – да. Хайп утихает. Со временем питон займёт свою нишу матана и прочей научной хрени, неподсильной мирскому люду.

Ответить | Правка | Наверх | Cообщить модератору

19. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от СтарыйПитон (?), 13-Апр-22, 17:08 
Плюс к этому Python удобно использовать когда bash портянка больше видимой области экрана.
Ответить | Правка | Наверх | Cообщить модератору

22. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +/
Сообщение от одинразнерубист (?), 14-Апр-22, 03:37 
СтарыйПитон, это получается, в bash портянке нельзя запиливать функции, а в питоне можно?
Ответить | Правка | Наверх | Cообщить модератору

20. "Корректирующие выпуски Ruby 3.1.2, 3.0.4, 2.7.6, 2.6.10 с ус..."  +1 +/
Сообщение от Аноним (20), 13-Апр-22, 17:42 
Когда же мы увидим от альтлинуксоделов реализацию отечественного дистрибутива языка Ruby по имени BottleRuby? Доколе наши силовики будут сидеть на неимпортозамещённом японском треше от Мацумото? Вы хотите, чтобы они сидели и на ActiveRuby с PassiveRuby, которые стучат в ЦРУ?

Анон опеннета, помоги альттлинуксоидам! Пересади силовиков на BottleRuby!

Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру